<div class="container" fxLayout="row" fxLayoutAlign="center none">
  <div fxFlex="95%">





    <div>
      <mat-card>
        <mat-card-content>
          <h2>Add a Owner</h2>

          <form [formGroup]="addOwnerForm" >


            <div fxLayout="row">

              <div fxFlex="40%" fxFlex.md="60%" fxFlex.sm="50%" fxFlex.xs="100%">

                <mat-form-field class="full-width">
                  <input matInput placeholder="Name" formControlName="name" >
                </mat-form-field>

                <mat-form-field class="full-width">
                  <input matInput placeholder="Status" formControlName="status" >
                </mat-form-field>


                <button mat-raised-button color="primary"  (click)="addOwner()">Add Owner</button>

              </div>

            </div>

          </form>

        </mat-card-content>
      </mat-card>
    </div>
    <h2>Owners</h2>
    <div>
      <mat-card>
        <mat-card-content>
          <mat-list>
            <mat-list-item *ngFor="let owner of owners; last as last">
              <mat-icon matListItemIcon>person</mat-icon>
              <h3 matListItemTitle>{{owner.name}}</h3>
              <p matListItemLine>
                <span>{{owner.status}}</span>
                <span class="demo-2"> -- {{owner.id}}</span>
              </p>
              <mat-divider [inset]="true" *ngIf="!last"></mat-divider>

            </mat-list-item>
          </mat-list>
        </mat-card-content>
      </mat-card>
    </div>
  </div>
</div>
